#!/usr/bin/python

import osso
import hildon
import gtk
try:
        import gconf
except:
        from gnome import gconf
import sys
import os
import dbus

sys.stdout = open('/tmp/m3.log','a')

if sys.argv[5] == '67':
	osso_c = osso.Context("hd_key", "0.0.1", False)
	osso_rpc = osso.Rpc(osso_c)
	osso_rpc.rpc_run("com.nokia.controlpanel", "/com/nokia/controlpanel", "com.nokia.controlpanel", "start_test")
	print "run Control Panel"

if sys.argv[5] == '99':
	os.system("su -l -c galculator user")
	print "run galculator"

if sys.argv[5] == '100':
	os.system("su -l -c /usr/local/sbin/disconnect user")
	print "run galculator"

if sys.argv[5] == '102':
	osso_c = osso.Context("hd_key", "0.0.1", False)
	osso_rpc = osso.Rpc(osso_c)
	osso_rpc.rpc_run("com.nokia.FBReader", "/com/nokia/FBReader", "com.nokia.FBReader", "start_test")
	print "run FBreader"

if sys.argv[5] == '105':
	bus = dbus.SessionBus()
	proxy_obj = bus.get_object('com.nokia.osso_browser', '/com/nokia/osso_browser')
	dbus_iface = dbus.Interface(proxy_obj, 'com.nokia.osso_browser')
	dbus_iface.open_new_window('http://www.internettablettalk.com/forums/search.php?do=getnew')
	print "browse itt"

if sys.argv[5] == '109':
	osso_c = osso.Context("hd_key", "0.0.1", False)
	osso_rpc = osso.Rpc(osso_c)
	osso_rpc.rpc_run("com.nokia.claws_mail", "/com/nokia/claws_mail", "com.nokia.claws_mail", "start_test")
	print "run claws mail"

if sys.argv[5] == '111':
	os.system("su -l -c /usr/local/sbin/connect.orange user")
	print "run galculator"

if sys.argv[5] == '115':
	bus = dbus.SessionBus()
	proxy_obj = bus.get_object('com.nokia.osso_browser', '/com/nokia/osso_browser')
	dbus_iface = dbus.Interface(proxy_obj, 'com.nokia.osso_browser')
	dbus_iface.open_new_window('http://www.shedim.com/bb/viewforum.php?f=4')
	print "browse shedim"

if sys.argv[5] == '116':
	osso_c = osso.Context("hd_key", "0.0.1", False)
	osso_rpc = osso.Rpc(osso_c)
	osso_rpc.rpc_run("com.nokia.tear", "/com/nokia/tear", "com.nokia.tear", "start_test")
	print "run tear"

if sys.argv[5] == '120':
	osso_c = osso.Context("hd_key", "0.0.1", False)
	osso_rpc = osso.Rpc(osso_c)
	osso_rpc.rpc_run("com.nokia.xterm", "/com/nokia/xterm", "com.nokia.xterm", "start_test")
	print "run xterm"

if sys.argv[5] == '65475':
	gconf_client = gconf.client_get_default ()
	if gconf_client.get_int("/apps/osso/sound/master_volume_mute") == 0:
		gconf_client.set_int("/apps/osso/sound/master_volume_mute", gconf_client.get_int("/apps/osso/sound/master_volume"));
		gconf_client.set_int("/apps/osso/sound/master_volume", 0);
	else:
		gconf_client.set_int("/apps/osso/sound/master_volume", gconf_client.get_int("/apps/osso/sound/master_volume_mute"));
		gconf_client.set_int("/apps/osso/sound/master_volume_mute", 0);
	print "mute/unmute"

if sys.argv[5] == '65476':
	gconf_client = gconf.client_get_default ()
	gconf_client.set_int("/apps/osso/sound/master_volume", gconf_client.get_int("/apps/osso/sound/master_volume") + 
		gconf_client.get_int("/apps/osso/sound/volume_jump") );
	print "vol+"

if sys.argv[5] == '65477':
	gconf_client = gconf.client_get_default ()
	gconf_client.set_int("/apps/osso/sound/master_volume", gconf_client.get_int("/apps/osso/sound/master_volume") - 
		gconf_client.get_int("/apps/osso/sound/volume_jump") );
	print "vol+"

